import {Route} from '@extollo/lib'
import {Webfinger} from '../controllers/pub/Webfinger.controller'

Route.get('/.well-known/webfinger')
	.calls<Webfinger>(Webfinger, w => w.getWebfinger)

Route.group('/pub', () => {
	Route.get('/:username')
		.calls<Webfinger>(Webfinger, w => w.getUser)
})
